"use strict";
var uni_modules_wotDesignUni_components_common_props = require("../common/props.js");
const buttonProps = {
  ...uni_modules_wotDesignUni_components_common_props.baseProps,
  plain: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  round: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  disabled: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  hairline: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  block: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  type: uni_modules_wotDesignUni_components_common_props.makeStringProp("primary"),
  size: uni_modules_wotDesignUni_components_common_props.makeStringProp("medium"),
  icon: String,
  classPrefix: uni_modules_wotDesignUni_components_common_props.makeStringProp("wd-icon"),
  loading: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  loadingColor: String,
  openType: String,
  hoverStopPropagation: Boolean,
  lang: String,
  sessionFrom: String,
  sendMessageTitle: String,
  sendMessagePath: String,
  sendMessageImg: String,
  appParameter: String,
  showMessageCard: Boolean,
  buttonId: String,
  scope: String
};
exports.buttonProps = buttonProps;
